id: d7_node_evenement
label: Node evenement
migration_group: popsu
audit: true
migration_tags:
  - Drupal 7
  - Content
  - Popsu

source:
  plugin: d7_node_evenement
  batch_size: 500
  # high_water_property:
  #   name: changed
  #   alias: n

destination:
  plugin: entity:node

process:
  # nid: nid
  type:
    plugin: default_value
    default_value: evenement
  created: created
  changed: changed

  uid:
    plugin: default_value
    default_value: 34

  title: title

  field_programme:
    plugin: sub_process
    source: field_programme
    process:
      target_id:
        plugin: migration_lookup
        migration: d7_node_programme
        source: nid
        no_stub: true

  field_theme:
    plugin: migration_lookup
    migration: d7_node_theme
    source: field_theme
    no_stub: true

  field_projet:
    plugin: migration_lookup
    migration: d7_node_projet
    source: field_projet
    no_stub: true

  field_sous_titre: field_popsu_colloque_subtitle

  field_intro:
    plugin: sub_process
    source: field_popsu_colloque_subtitle2
    process:
      value: value
      summary: summary
      format:
        plugin: default_value
        default_value: wysiwyg

  body:
    plugin: sub_process
    source: body
    process:
      value: value
      summary: summary
      format:
        plugin: default_value
        default_value: wysiwyg

  # NO ITEM
  field_image:
    plugin: sub_process
    source: field_popsu_colloque_imageintro
    process:
      target_id:
        plugin: migration_lookup
        migration: d7_allpublicfiles
        source: fid
        no_stub: true
      alt: alt
      title: title

  # NO ITEM
  field_ressources_liees:
    plugin: migration_lookup
    migration: d7_node_ressource
    source: field_ressource
    no_stub: true

  # NO ITEM
  field_evenements_liees:
    plugin: migration_lookup
    migration: d7_node_evenement
    source: field_evenement
    no_stub: true

  field_memo: field_memo

migration_dependencies:
  required:
    - d7_allpublicfiles
